{% load i18n %}
{% load server_tags %}
{% load humanize %}
<div class="post-action">

    <!-- <span class="label label-default add-comment" data-value="{{ post.id }}" id="C{{ post.id }}">ADD {{ label }}</span> -->
    
    <a class="add-comment" href="" data-value="{{ post.id }}" id="C{{ post.id }}">{% trans label %}</a>

     <a href="{{ post.get_absolute_url }}" class="link-to-post">{% trans "link" %}</a>
     <div class="post-url"><input type="text" value="{{ post.get_absolute_url }}"><button class="close-button">⨯</button></div>

    {% if post.is_editable %}
         <a href="{% url 'post-edit' post.id %}" id="E{{ post.id }}">{% trans "edit" %}</a>
         <a class="mod-post" data-value="{{ post.id }}" id="M{{ post.id }}">{% trans "moderate" %}</a>
        {% if post.book_count %}  {{ post.book_count }} {% trans "bookmark" %}{{ post.book_count|pluralize }}{% endif %}
        
        {% if post.edit_history %}
            <a href="{{ post.edit_history.get_absolute_url }}">{% trans "edit history" %}</a>
        {% endif %}
        
    {% endif %}

    {% if post.is_toplevel %}
        {#  Produce the Follow button #}
        
        <div class="btn-group">
            <button type="button" class="btn btn-default btn-xs dropdown-toggle" id="F{{ post.id }}" data-toggle="dropdown">
                {% if post.sub %}
                    {% trans "follow via" %} {{ post.sub.get_type_display }}
                {% else %}
                    {% trans "not following" %}
                {% endif %}
                <span class="caret"></span>
            </button>
            <ul class="dropdown-menu dropup" role="menu">

                <li><a href="{% url 'change-sub' pk=post.id type='local' %}">{% trans "Follow via messages" %}</a></li>
                <li><a href="{% url 'change-sub' pk=post.id type='email' %}">{% trans "Follow via email" %}</a></li>
                <li><a href="{% url 'change-sub' pk=post.id type='nofollow' %}">{% trans "Do not follow" %}</a></li>
            </ul>
        </div>
    {% endif %}

    <span class="userlink muted">
        {% if post.type == Post.COMMENT %}
                
                {% if post.creation_date != post.lastedit_date %}
                
                    {% trans "modified" %} {{ post.lastedit_date|time_ago }}
                    {%  if post.author != post.lastedit_user %}
                        {% trans "by" %} {% userlink post.lastedit_user %}
                    {%  endif %}
                
                {% endif %}
                
                {% trans "written" %} <span itemprop="dateCreated" content="{{ post.creation_date|date:'c' }}">
                
                {{ post.creation_date|time_ago }}</span> {% trans "by" %} {% userlink post.author %}
        
        {% else %}
            

            {% if post.creation_date != post.lastedit_date %}
                            
                {%  if post.author != post.lastedit_user %}
                    
                    {% trans "modified" as modified %}
                    {% user_card post.lastedit_user post.lastedit_date modified %}

                {%  else %}

                    <div class="modified"> {% trans "modified" %} {{ post.lastedit_date|time_ago }} </div>

                {%  endif %}
            
            {% endif %}
            
            {% trans "written" as written %}
            {% user_card post.author post.creation_date written %}

        {% endif %}
    </span>
</div>
